Bug 192124 - Review Request: exiv2: Exif and Iptc metadata manipulation library and tools
Summary: Review Request: exiv2: Exif and Iptc metadata manipulation library and tools
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 191784
TreeView+ depends on / blocked
 
Reported: 2006-05-17 18:53 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 19:39:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2006-05-17 18:53:09 UTC
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/exiv2.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/exiv2-0.9.1-2.src.rpm
Description:
Exiv2 comprises of a C++ library and a command line utility to access image
metadata. Exiv2 supports full read and write access to th Exif and Iptc
metadata, Exif MakerNote support, extract and delete methods for Exif
thumbnails, classes to access Ifd and so on.
The command line utility allow you to:
* print the Exif metadata of Jpeg images as summary info, interpreted values,
or the plain data for each tag (here is a sample)
* print the Iptc metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata, Iptc metadata and Jpeg comments
* extract, insert and delete the thumbnail image embedded in the Exif metadata

Comment 1 Kevin Fenzi 2006-05-17 19:40:01 UTC
See below- Rpmlint output.
OK - Package name.
OK - Spec file name matches.
OK - Package guidelines.
OK - Licsense.
(GPL)
OK - License field matches in spec.
OK - License included in files
OK - Spec in american english
OK - Spec legible
OK - Md5sum of source from upstream
4c6593751368f5e9235d85e0d4058e67  exiv2-0.9.1.tar.gz
4c6593751368f5e9235d85e0d4058e67  exiv2-0.9.1.tar.gz.1
OK - Compiles and builds on one arch at least.
(devel in mock)
OK - No Forbidden buildrequires included
OK - All required buildrequires included
OK - Ldconfig in post/postun if including libs.
OK - Owns all directories it creates.
OK - No duplicate files in %files listing.
See below - Permissions on files correct.
OK - Clean section correct.
OK - Macros consistant.
OK - Code not content.
OK - Docs must not affect runtime.
OK - Header files/libs in a devel package.
OK - .so files in devel package.
OK - Devel package requires base package.
OK - No .la files.
OK - Doesn't own any files/dirs that are already owned by others.
OK - Package builds in mock.
See below - - Docs subpackage needed for large documentations.

issues:

1. The description doesn't scan in some places. Might be reworked?

Perhaps something like:

-Exiv2 comprises of a C++ library and a command line utility to access image
-metadata. Exiv2 supports full read and write access to th Exif and Iptc
+Exiv2 consists of a C++ library and a command line utility to access image
+metadata. Exiv2 supports full read and write access to the Exif and Iptc
 metadata, Exif MakerNote support, extract and delete methods for Exif
 thumbnails, classes to access Ifd and so on.
-The command line utility allow you to:
+The command line utility allows you to:
 * print the Exif metadata of Jpeg images as summary info, interpreted values,
-or the plain data for each tag (here is a sample)
+or the plain data for each tag
 * print the Iptc metadata of Jpeg images
 * print the Jpeg comment of Jpeg images
 * set, add and delete Exif and Iptc metadata of Jpeg images
 * adjust the Exif timestamp (that's how it all started...)
 * rename Exif image files according to the Exif timestamp
-* extract, insert and delete Exif metadata, Iptc metadata and Jpeg comments
-* extract, insert and delete the thumbnail image embedded in the Exif metadata
+* extract, insert and delete Exif metadata (including thumbnails),
+Iptc metadata and Jpeg comments

2. 2 lines of rpmlint output:

W: exiv2 unstripped-binary-or-object /usr/lib/libexiv2-0.9.1.so

Suggest: This file is mode 644, should be 755 so rpm can strip it/make proper
debuginfo?

E: exiv2 binary-or-shlib-defines-rpath /usr/bin/exiv2 ['/usr/lib']

Suggest: add --disable-rpath to configure?

3. Might be worth moving the /usr/share/doc/exiv2-devel-0.9.1/html/
to a -doc subpackage?


Comment 2 Rex Dieter 2006-05-18 14:31:38 UTC
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/exiv2.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/exiv2-0.9.1-3.src.rpm

%changelog
* Wed May 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-3
- cleanup %%description
- set eXecute bit on installed lib.
- no_rpath patch
- deps patch (items get (re)compiled on *every* call to 'make')



Comment 3 Rex Dieter 2006-05-18 15:14:42 UTC
And Re: comment #1: 3. Migh be worth a -doc package?
IMO, no, it's not large enough to warrant being packaged separately.

Comment 4 Kevin Fenzi 2006-05-18 17:09:53 UTC
In reply to comment #2: 

Looks good. You might ping upstream with the deps patch and ask them to add a
'--disable-rpath' down the road. 

In reply to comment #3: 

ok, not a blocker. 

rpmlint now shows clean and I don't see any further blockers here... 
so this package is APPROVED. 

Rememeber to close this review NEXTRELEASE once it's been imported and built. 

Comment 5 Rex Dieter 2006-05-18 17:14:21 UTC
Thanks, I'll make sure to take both patch issue upstream.

Comment 6 Rex Dieter 2006-05-18 19:39:29 UTC
imported, build completed for fc6/devel.


Note You need to log in before you can comment on or make changes to this bug.